> This page is for APIs, version Calculations.
> For other versions, use one of these documentation indexes:
> - Overview (default): https://avalara.ferndocs.com/api-reference/overview/llms.txt
> - Calculations: https://avalara.ferndocs.com/api-reference/calculations/llms.txt
> - E-invoicing: https://avalara.ferndocs.com/api-reference/e-invoicing/llms.txt
> - Brazil: https://avalara.ferndocs.com/api-reference/brazil/llms.txt
> - Returns: https://avalara.ferndocs.com/api-reference/returns/llms.txt
> - Shared service: https://avalara.ferndocs.com/api-reference/shared-service/llms.txt
> - 1099 & W-9: https://avalara.ferndocs.com/api-reference/1099-w9/llms.txt
> - Tax registrations & business licenses: https://avalara.ferndocs.com/api-reference/tax-registrations/llms.txt
> - ECM: https://avalara.ferndocs.com/api-reference/ecm/llms.txt
> - Cross-Border: https://avalara.ferndocs.com/api-reference/cross-border/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://avalara.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://avalara.ferndocs.com/_mcp/server.

# List Country Coefficients

GET https://rest.avatax.com/api/v2/{country}/CountryCoefficients

> **Access control:** this endpoint is available to users with the `everyone` role.

Retrieve all or any specific records of Country Coefficients based on the filters(optional) for specific country.
 
 Search for specific objects using the criteria in the `$filter` parameter; full documentation is available on [Filtering in REST](http://developer.avalara.com/avatax/filtering-in-rest/) .
 Paginate your results using the `$top`, `$skip`, and `$orderby` parameters.

Reference: https://avalara.ferndocs.com/api-reference/calculations/ava-tax/public-reference/list-country-coefficients

## Authentication

- `Authorization` header (required) — API Key authentication via header

## Request

### Path parameters

- `country` (string, required) — Country for which data need to be pulled for.

### Query parameters

- `$filter` (string, optional) — A filter statement to identify specific records to retrieve. For more information on filtering, see [Filtering in REST](http://developer.avalara.com/avatax/filtering-in-rest/).*Not filterable:* CoefficientsId, AccountId, ModifiedUserId, CreatedUserId
- `$include` (string, optional) — A comma separated list of additional data to retrieve.
- `$top` (integer, optional) — If nonzero, return no more than this number of results. Used with `$skip` to provide pagination for large datasets. Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records.
- `$skip` (integer, optional) — If nonzero, skip this number of results before returning data. Used with `$top` to provide pagination for large datasets.
- `$orderBy` (string, optional) — A comma separated list of sort statements in the format `(fieldname) [ASC|DESC]`, for example `id ASC`.

### Headers

- `X-Avalara-Client` (string, optional, default: Swagger UI; 26.7.0; Custom; 1.0) — Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) .

## Response

### 200

Success

- `@recordsetCount` (integer, optional)
- `value` (list of CountryCoefficientsEntity, optional)
- `@nextLink` (string, optional)
- `pageKey` (string, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `any`

### 401 Unauthorized Error

Unauthorized

- `any`

### 404 Not Found Error

Not Found

- `any`

## Types

### CountryCoefficientsEntity

Represents the Country coefficients model, using which tax rules rates can be modified dynamically for CB transaciotns while applying tax rules in order to reduce the variance for all the transactions at country level.

- `country` (string, required) — The country for which coefficient will be applied.
- `coefficientsId` (integer, optional) — CoefficientsId
- `accountId` (integer, optional) — AccountId
- `companyId` (integer, optional) — The CompanyId of company for which coefficient will be applied.
- `coefficient` (double, optional) — Value by which rates need to be altered while calculating taxes.
- `taxSubTypeId` (string, optional) — TaxSubTypeId
- `currencyCode` (string, optional) — CurrencyCode
- `unitOfBasisId` (integer, optional) — UnitOfBasisId
- `isApplicable` (boolean, optional) — IsApplicable Flag that is being used to mark the effectiveness of the specific entry for the particular date.
- `modifiedDate` (datetime, optional) — ModifiedDate
- `startDate` (datetime, optional) — StartDate
- `endDate` (datetime, optional)
- `modifiedUserId` (integer, optional) — ModifiedUserId. To track the user by which the records have been modified in the past. This will allow us to track the historical changes made to particular record.
- `createdDate` (datetime, optional) — StartDate
- `createdUserId` (integer, optional) — CreatedUserId. To track the user who created the record at first place

## Examples

**Response**

```json
{
  "@recordsetCount": 1,
  "value": [
    {
      "country": "string",
      "coefficientsId": 1,
      "accountId": 1,
      "companyId": 1,
      "coefficient": 1.1,
      "taxSubTypeId": "string",
      "currencyCode": "string",
      "unitOfBasisId": 1,
      "isApplicable": true,
      "modifiedDate": "2024-01-15T09:30:00Z",
      "startDate": "2024-01-15T09:30:00Z",
      "endDate": "2024-01-15T09:30:00Z",
      "modifiedUserId": 1,
      "createdDate": "2024-01-15T09:30:00Z",
      "createdUserId": 1
    }
  ],
  "@nextLink": "string",
  "pageKey": "string"
}
```

**SDK Code**

```python
import requests

url = "https://rest.avatax.com/api/v2/country/CountryCoefficients"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://rest.avatax.com/api/v2/country/CountryCoefficients';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.avatax.com/api/v2/country/CountryCoefficients"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://rest.avatax.com/api/v2/country/CountryCoefficients")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.avatax.com/api/v2/country/CountryCoefficients")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.avatax.com/api/v2/country/CountryCoefficients', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://rest.avatax.com/api/v2/country/CountryCoefficients");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.avatax.com/api/v2/country/CountryCoefficients")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```